FreeMat

- Main Page
- Related Pages

ISEMPTY Test For Variable Empty

Section: Inspection Functions

# Usage

The `isempty` function returns a boolean that indicates if the argument variable is empty or not. The general syntax for its use is

      y = isempty(x).

# Examples

Here are some examples of the `isempty` function

    --> a = []

    a =
      []
    --> isempty(a)

    ans =
     1

    --> b = 1:3

    b =
     1 2 3

    --> isempty(b)

    ans =
     0

Note that if the variable is not defined, `isempty` does not return true.

    --> clear x
    --> isempty(x)
    Error: Undefined function or variable x